#include <cstdio>
#include <cmath>

#define EPS 1E-8

int evalMortgage(int x, int y, int n, float r) {
	double m = (1200.0 + (double)r) / 1200.0;
	double mn = pow(m, n * 12.0);
	double y2 = (double)x * mn * ((double)r / (1200.0 * mn - 1200.0));
	
	return (double)y > (y2 - EPS);
}

int main() {

	int x, y, n;
	float r;
	
	while (1) {
		scanf("%d %d %d %f", &x, &y, &n, &r);
		if (x == 0 && y == 0 && n == 0 && r == 0)
			break;
			
		if (evalMortgage(x, y, n, r))
			printf("YES\n");
		else
			printf("NO\n");
	}

	return 0;
}
